import web
import simplejson
from models_webpy import *

class groups:

	def GET(self):
		
		dataset = Group().getAllByCurrentUser()
		
		if dataset:
			results = dataset
		else:
			results = {}
        
		return simplejson.dumps(results)
	

class new:

	def POST(self):
		data = web.input()
		result = Group().create(data.groupname)
	
		return result
		
class update:
	
	def POST(self):
		data = web.input()
			
		result = None;
		g = Group().getById(int(data.id))
		if g:
			if 'groupname' in data:
				g.update(name=data.groupname)
				result = web.net.websafe(data.groupname)
			
			elif 'description' in data:
				g.update(description=data.description)
				result = web.net.websafe(data.description)
		
		return result

class delete:
	def GET(self, id):
		if id.isdigit():
			g = Group().getById(int(id))
			if g:
				hosts = Host().getAllByGroupId(int(id))
				for h in hosts:
					h.delete()
				g.delete()
